<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>com.sk89q.worldedit.internal.expression.runtime (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit.internal.expression.runtime (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/parser/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../com/sk89q/worldedit/internal/helper/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/expression/runtime/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.sk89q.worldedit.internal.expression.runtime</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionEnvironment.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">ExpressionEnvironment</a></td>
<td class="colLast">
<div class="block">Represents a way to access blocks in a world.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a></td>
<td class="colLast">
<div class="block">A value that can be used on the left side of an assignment.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a></td>
<td class="colLast">
<div class="block">A value that can be used on the right side of an assignment.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Break.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Break</a></td>
<td class="colLast">
<div class="block">A break or continue statement.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Conditional.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Conditional</a></td>
<td class="colLast">
<div class="block">An if/else statement or a ternary operator.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Constant.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Constant</a></td>
<td class="colLast">
<div class="block">A constant.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/For.html" title="class in com.sk89q.worldedit.internal.expression.runtime">For</a></td>
<td class="colLast">
<div class="block">A Java/C-style for loop.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Function.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Function</a></td>
<td class="colLast">
<div class="block">Wrapper for a Java method and its arguments (other Nodes).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Functions.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Functions</a></td>
<td class="colLast">
<div class="block">Contains all functions that can be used in expressions.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValueFunction.html" title="class in com.sk89q.worldedit.internal.expression.runtime">LValueFunction</a></td>
<td class="colLast">
<div class="block">Wrapper for a pair of Java methods and their arguments (other Nodes),
 forming an LValue.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Node</a></td>
<td class="colLast">
<div class="block">A node in the execution tree of an expression.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Operators</a></td>
<td class="colLast">
<div class="block">Contains all unary and binary operators.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Return.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Return</a></td>
<td class="colLast">
<div class="block">A return statement.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Sequence.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Sequence</a></td>
<td class="colLast">
<div class="block">A sequence of operations, usually separated by semicolons in the
 input stream.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/SimpleFor.html" title="class in com.sk89q.worldedit.internal.expression.runtime">SimpleFor</a></td>
<td class="colLast">
<div class="block">A simple-style for loop.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Switch.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Switch</a></td>
<td class="colLast">
<div class="block">A switch/case construct.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Variable.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Variable</a></td>
<td class="colLast">
<div class="block">A variable.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/While.html" title="class in com.sk89q.worldedit.internal.expression.runtime">While</a></td>
<td class="colLast">
<div class="block">A while loop.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/BreakException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">BreakException</a></td>
<td class="colLast">
<div class="block">Thrown when a break or continue is encountered.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></td>
<td class="colLast">
<div class="block">Thrown when there's a problem during expression evaluation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/ExpressionTimeoutException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">ExpressionTimeoutException</a></td>
<td class="colLast">
<div class="block">Thrown when an evaluation exceeds the timeout time.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/ReturnException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">ReturnException</a></td>
<td class="colLast">
<div class="block">Thrown when a return statement is encountered.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Annotation Types Summary table, listing annotation types, and an explanation">
<caption><span>Annotation Types Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Annotation Type</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Function.Dynamic.html" title="annotation in com.sk89q.worldedit.internal.expression.runtime">Function.Dynamic</a></td>
<td class="colLast">
<div class="block">Add this annotation on functions that don't always return the same value
 for the same inputs and on functions with side-effects.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/parser/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../com/sk89q/worldedit/internal/helper/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/expression/runtime/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
